summaryrefslogtreecommitdiff
path: root/tests.as-root/archless-system-fails.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.as-root/archless-system-fails.script')
-rwxr-xr-xtests.as-root/archless-system-fails.script42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests.as-root/archless-system-fails.script b/tests.as-root/archless-system-fails.script
new file mode 100755
index 00000000..6e14c875
--- /dev/null
+++ b/tests.as-root/archless-system-fails.script
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# If a system has multiple strata that have the same files in them,
+# then this should be notified
+#
+# Copyright (C) 2011, 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+cache="$DATADIR/cache/artifacts"
+morphsrepo="$DATADIR/morphs-repo"
+
+cd "$morphsrepo"
+git checkout --quiet -b archless master
+cat <<EOF >archless-system.morph
+{
+ "name": "archless-system",
+ "kind": "system",
+ "disk-size": "1G",
+ "strata": [
+ "hello-stratum"
+ ]
+}
+EOF
+git add archless-system.morph
+git commit --quiet -m "add archless system"
+
+"$SRCDIR/scripts/test-morph" \
+ build test:morphs-repo archless archless-system.morph